/catalog

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create Data Asset

Use this route to create a new data asset in the catalog.

How to use

Send the data asset details in the request body.

Payload example

{
  "display_name": "Quarterly Sales Report",
  "description": "Contains quarterly sales data by region",
  "data_asset_type": "dataset",
  "external_url": "https://example.com/data",
  "location": "PUBLIC.TB__SALES_DATA",
  "embed": {
    "url": "https://example.com/embed/dashboard"
  },
  "docs": "# Sales Report\n\nDocumentation for the quarterly sales dataset."
}

Body fields

  • display_name (required): the display name for the data asset;
  • description (required): a description of the data asset;
  • data_asset_type (required): the type of data asset (e.g., dataset, dashboard);
  • external_url (required): external URL associated with the asset;
  • location (required): the location of the data (e.g., schema and table name);
  • embed (optional): object containing a url for embedding;
  • docs (optional): markdown documentation for the data asset.

Error scenarios

CodeErrorDescription
401UnauthenticatedInvalid or missing access-token header
403ForbiddenUser does not have the required permissions
500Internal Server ErrorUnknown server error
Body Params
string
required
string
required
string
required
string
required
string
required
embed
object
Headers
string
enum
Allowed:
Response
201
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!